[arch-commits] Commit in raft/trunk (PKGBUILD)

Morten Linderud foxboron at archlinux.org
Fri Jan 31 12:25:59 UTC 2020


    Date: Friday, January 31, 2020 @ 12:25:59
  Author: foxboron
Revision: 560745

upgpkg: raft 0.9.17-1

Added:
  raft/trunk/PKGBUILD

----------+
 PKGBUILD |   32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

Added: PKGBUILD
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-01-31 12:25:59 UTC (rev 560745)
@@ -0,0 +1,32 @@
+# Maintainer: Morten Linderud <foxboron at archlinux.org>
+# Contributor: Thomas Hipp <thomashipp at gmail dot com>
+
+pkgname=raft
+pkgver=0.9.17
+pkgrel=1
+pkgdesc="C implementation of the Raft consensus protocol"
+arch=('x86_64')
+url="https://github.com/canonical/raft"
+license=('LGPL3')
+depends=('libuv')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/canonical/${pkgname}/archive/v${pkgver}.tar.gz")
+sha256sums=('2ee6b40cc316bb0ca4172b491dbfac30abfcc72fb43dfc385c20f584ca439b2a')
+
+build() {
+	cd "${pkgname}-${pkgver}"
+	autoreconf -i
+	./configure --prefix=/usr
+	make
+}
+
+check() {
+	cd "${pkgname}-${pkgver}"
+	make check || true
+}
+
+package() {
+	cd "${pkgname}-${pkgver}"
+	make DESTDIR="$pkgdir/" install
+	install -Dm644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+	rm -rf "${pkgdir}/usr/bin"
+}



More information about the arch-commits mailing list